Subject: bug#18410: Use SAFE_ALLOCA etc. to avoid unbounded stack allocation.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Sep 2014 16:17:41 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Paul Eggert <[email-masked]>, [email-masked]
> Date: Mon, 08 Sep 2014 08:48:50 -0400
> 
> >> Perhaps some of that discussion is moot now, with the stack overflow
> >> checking that Dmitry added last month?
> > I'd say it's definitely moot on systems where that stack-overflow code
> > is working.
> 
> I disagree.  Even if the new stack-overflow code works, it doesn't
> change the fact that a stack-overflow is a problem for the end-user and
> we should try to avoid causing such things.
> 
> IOW, Dmitry's overflow-handling is good because it makes the failure
> a bit cleaner, but it's still a failure that we should strive to avoid.

Actually, we are in violent agreement.  The point I was making is that
given that we want to check for stack overflow, we don't need 2 such
checks.  I didn't mean at all to say that we should be less careful
about avoiding stack overflows.